# pro-archman
# src/cmd/sign.sh
# "sign" command
#
# Copyright (C) 2019  Patrick McDermott
#
# This file is part of the ProteanOS Archive Manager.
#
# The ProteanOS Archive Manager is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Archive Manager is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Archive Manager.  If not, see
# <http://www.gnu.org/licenses/>.

cmd_sign_main()
{
	local feed_idx=

	init

	for feed_idx in "${base_dir}/feeds/"*/*/*/*/*/Packages; do
		feed_sign "${feed_idx}"
	done

	fini

	return 0
}

cmd_sign_register()
{
	register_cmd 'sign'
}
__init cmd_sign_register
